
'******************************************************************************
' FileName: myprofile.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileBiologist.BusinessObjects
Imports System.Web.Security
Namespace MobileBiologist.WebPages

    Public Class myprofile
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents Image1 As System.Web.UI.WebControls.Image
        Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
        Protected WithEvents Label1 As System.Web.UI.WebControls.Label
        Protected WithEvents txtUsername As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label2 As System.Web.UI.WebControls.Label
        Protected WithEvents txtFirstName As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label3 As System.Web.UI.WebControls.Label
        Protected WithEvents txtLastName As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label4 As System.Web.UI.WebControls.Label
        Protected WithEvents txtEmail As System.Web.UI.WebControls.TextBox
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents Label5 As System.Web.UI.WebControls.Label
        Protected WithEvents Label6 As System.Web.UI.WebControls.Label
        Protected WithEvents txtConfirmPassword As System.Web.UI.WebControls.TextBox
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
        Protected WithEvents txtNewPassword As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label7 As System.Web.UI.WebControls.Label
        Protected WithEvents Label8 As System.Web.UI.WebControls.Label
        Protected WithEvents txtOldPassword As System.Web.UI.WebControls.TextBox

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            If Not IsPostBack Then
                BindFields()
            End If

        End Sub

        Private Sub BindFields()
            Dim currUser As CustomPrincipal
            currUser = context.User

            Dim usr As New MBUser(currUser.Id)

            txtUsername.Text = usr.Username
            txtFirstName.Text = usr.FirstName
            txtLastName.Text = usr.LastName
            txtEmail.Text = usr.Email
        End Sub
        Private Sub cmdSubmit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSubmit.Click
            'save the user
            Dim blnSave As Boolean = True

            Dim strMessage As String
            Dim currUser As CustomPrincipal
            currUser = context.User

            Dim usr As New MBUser(currUser.Id)

            usr.Username = txtUsername.Text
            usr.FirstName = txtFirstName.Text
            usr.LastName = txtLastName.Text
            usr.Email = txtEmail.Text

            If txtNewPassword.Text <> String.Empty Then
                If usr.Password = txtOldPassword.Text Then
                    If txtNewPassword.Text = txtConfirmPassword.Text Then
                        usr.Password = txtNewPassword.Text
                    Else
                        strMessage = "ERROR saving user, new password and confirm password do not match."
                        blnSave = False
                    End If
                Else
                    strMessage = "ERROR saving user, old password is not correct."
                    blnSave = False
                End If
            End If

            If blnSave Then
                If usr.Save() Then
                    strMessage = "User " & txtUsername.Text & " saved successfully"
                Else
                    strMessage = "ERROR saving user"
                End If
            End If
            lblMessage.Text = strMessage

        End Sub
    End Class
End Namespace
