
'******************************************************************************
' FileName: edit_sample.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileBiologist.BusinessObjects
Namespace MobileBiologist.WebPages

    Public Class edit_sample
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents Image1 As System.Web.UI.WebControls.Image
        Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
        Protected WithEvents Label1 As System.Web.UI.WebControls.Label
        Protected WithEvents Label2 As System.Web.UI.WebControls.Label
        Protected WithEvents Label4 As System.Web.UI.WebControls.Label
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents Label5 As System.Web.UI.WebControls.Label
        Protected WithEvents Label6 As System.Web.UI.WebControls.Label
        Protected WithEvents Label7 As System.Web.UI.WebControls.Label
        Protected WithEvents Label10 As System.Web.UI.WebControls.Label
        Protected WithEvents txtDate As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtNotes As System.Web.UI.WebControls.TextBox
        Protected WithEvents imgCal As System.Web.UI.WebControls.ImageButton
        Protected WithEvents txtTemp As System.Web.UI.WebControls.TextBox
        Protected WithEvents lstPh As System.Web.UI.WebControls.DropDownList
        Protected WithEvents lstAmmonia As System.Web.UI.WebControls.DropDownList
        Protected WithEvents lstNitrate As System.Web.UI.WebControls.DropDownList
        Protected WithEvents lstNitrite As System.Web.UI.WebControls.DropDownList

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private method As String
        Private sample As sample
        Private wsid As Integer ' water source id
        Private sid As Integer 'sample id

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

            Dim strMessage As String

            method = Request.QueryString("method")
            Select Case method
                Case "view"
                    lblTitle.Text = "View Sample"
                    cmdSubmit.Text = "Done"
                Case "delete"
                    lblTitle.Text = "Delete Sample"
                    cmdSubmit.Text = "Delete"
                Case "add"
                    lblTitle.Text = "Add Sample"
                    cmdSubmit.Text = "Add"
                Case "edit"
                    lblTitle.Text = "Edit Sample"
                    cmdSubmit.Text = "Edit"
            End Select
            If Request.QueryString("sid") <> "" Then
                sid = CInt(Request.QueryString("sid"))
            Else : sid = 0
            End If
            If Request.QueryString("wsid") <> "" Then
                wsid = CInt(Request.QueryString("wsid"))
            Else : wsid = 0
            End If

            If Not IsPostBack Then
                BindFields()
            Else
                sample = New sample(sid)
                If wsid = 0 Then wsid = sample.WaterSourceId

                If method = "add" Or method = "edit" Then
                    'save the sample
                    sample.WaterSourceId = wsid
                    sample.SampleDate = txtDate.Text
                    sample.Temperature = txtTemp.Text
                    sample.pH = lstPh.SelectedValue
                    sample.Ammonia = lstAmmonia.SelectedValue
                    sample.Nitrate = lstNitrate.SelectedValue
                    sample.Nitrite = lstNitrite.SelectedValue
                    sample.Notes = txtNotes.Text
                    If sample.Save() Then
                        strMessage = "Sample saved successfully"
                    Else
                        strMessage = "ERROR saving sample"
                    End If
                ElseIf method = "delete" Then
                    'delete sample
                    If sample.Delete() Then
                        strMessage = "Sample deleted successfully"
                    Else
                        strMessage = "ERROR deleting sample"
                    End If
                End If
                Response.Redirect("view_ws.aspx?wsid=" & wsid & "&message=" & strMessage)
            End If

        End Sub

        Private Sub BindFields()
            If method = "view" Or method = "edit" Or method = "delete" Then
                sample = New sample(sid)
                txtDate.Text = sample.SampleDate
                txtTemp.Text = sample.Temperature
                lstPh.SelectedValue = Format(sample.pH, "0.0")
                lstAmmonia.SelectedValue = Format(sample.Ammonia, "0.0")
                lstNitrate.SelectedValue = sample.Nitrate
                lstNitrite.SelectedValue = Format(sample.Nitrite, "0.0")
                txtNotes.Text = sample.Notes
            End If
            If method = "view" Or method = "delete" Then
                'disable the text fields
                txtDate.Enabled = False
                txtTemp.Enabled = False
                lstPh.Enabled = False
                lstAmmonia.Enabled = False
                lstNitrate.Enabled = False
                lstNitrite.Enabled = False
                txtNotes.Enabled = False
            End If
        End Sub


    End Class
End Namespace
