
'******************************************************************************
' FileName: edit_ws.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileBiologist.BusinessObjects
Imports System.IO
Namespace MobileBiologist.WebPages

    Public Class edit_ws
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents Image1 As System.Web.UI.WebControls.Image
        Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
        Protected WithEvents Label1 As System.Web.UI.WebControls.Label
        Protected WithEvents Label2 As System.Web.UI.WebControls.Label
        Protected WithEvents Label3 As System.Web.UI.WebControls.Label
        Protected WithEvents Label4 As System.Web.UI.WebControls.Label
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents txtName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtLocation As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtLatitude As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtLongitude As System.Web.UI.WebControls.TextBox
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
        Protected WithEvents Label5 As System.Web.UI.WebControls.Label
        Protected WithEvents fileImage As System.Web.UI.HtmlControls.HtmlInputFile
        Protected WithEvents imgWS As System.Web.UI.WebControls.Image
        Protected WithEvents lblNoImage As System.Web.UI.WebControls.Label

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private method As String
        Private ws As WaterSource
        Private wsid As Integer

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

            Dim strMessage As String

            method = Request.QueryString("method")
            Select Case method
                Case "delete"
                    lblTitle.Text = "Delete Water Source"
                    cmdSubmit.Text = "Delete"
                Case "add"
                    lblTitle.Text = "Add Water Source"
                    cmdSubmit.Text = "Add"
                Case "edit"
                    lblTitle.Text = "Edit Water Source"
                    cmdSubmit.Text = "Edit"
            End Select
            If Request.QueryString("wsid") <> "" Then
                wsid = CInt(Request.QueryString("wsid"))
            Else : wsid = 0
            End If

            If Not IsPostBack Then
                BindFields()
            Else

                ws = New WaterSource(wsid)
                If method = "add" Or method = "edit" Then
                    'save the water source

                    'check to see if user uploaded an image file
                    Dim imageName As String = System.IO.Path.GetFileName(fileImage.PostedFile.FileName)
                    If (imageName <> String.Empty And fileImage.PostedFile.ContentLength > 0) Then
                        'save the image in the uploadimages directory
                        Dim imagePath = Server.MapPath("uploadimages") + "\\" + imageName
                        fileImage.PostedFile.SaveAs(imagePath)

                        'get the image as an array of bytes
                        Dim fs As FileStream = New FileStream(imagePath, FileMode.OpenOrCreate)
                        Dim buf(fs.Length) As Byte
                        fs.Read(buf, 0, fs.Length)
                        fs.Close()

                        'save the byte array and file name
                        ws.ImageFile = buf
                        ws.ImageName = imageName



                    End If

                    ws.Name = txtName.Text
                    ws.Location = txtLocation.Text
                    ws.Latitude = txtLatitude.Text
                    ws.Longitude = txtLongitude.Text

                    Try
                        If ws.Save() Then
                            strMessage = "Water Source saved successfully"
                        Else
                            strMessage = "ERROR saving water source"
                        End If
                    Catch ex As Exception
                        strMessage = "ERROR saving water source: " & ex.Message
                    End Try

                ElseIf method = "delete" Then
                        'delete water source
                        If ws.Delete() Then
                            strMessage = "Water Source deleted successfully"
                        Else
                            strMessage = "ERROR deleting water source"
                        End If
                End If
                Response.Redirect("watersources.aspx?message=" & strMessage)
            End If

        End Sub

        Private Sub BindFields()
            If method = "add" Then
                imgWS.Visible = False
            ElseIf method = "edit" Or method = "delete" Then
                ws = New WaterSource(wsid)
                txtName.Text = ws.Name
                txtLocation.Text = ws.Location
                txtLatitude.Text = ws.Latitude
                txtLongitude.Text = ws.Longitude
                If ws.ImageName <> String.Empty Then
                    imgWS.ImageUrl = "uploadimages\" + ws.ImageName
                    lblNoImage.Visible = False
                Else
                    imgWS.Visible = False
                    lblNoImage.Visible = True
                End If
            ElseIf method = "delete" Then
                'disable the text fields
                txtName.Enabled = False
                txtLocation.Enabled = False
                txtLatitude.Enabled = False
                txtLongitude.Enabled = False
                fileImage.Disabled = True
            End If
        End Sub




    End Class

End Namespace
