<%@ Register TagPrefix="uc1" TagName="Banner" Src="/MB_WebSite/controls/Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="LeftNav" Src="/MB_WebSite/controls/LeftNav.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="view_ws.aspx.vb" Inherits="MobileBiologist.WebPages.view_ws" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Mobile Biologist Web Site</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="/MB_WebSite/Styles.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body leftMargin="0" background="/MB_WebSite/images/bg.gif" topMargin="0">
		<form id="Form1" method="post" runat="server">
			<uc1:banner id="Banner1" runat="server"></uc1:banner>
			<TABLE id="maintable" cellSpacing="0" cellPadding="0" width="600" border="0">
				<TR>
					<TD style="WIDTH: 167px" vAlign="top" align="left"><uc1:leftnav id="LeftNav1" runat="server"></uc1:leftnav></TD>
					<TD style="WIDTH: 1px" width="1"><asp:image id="Image1" runat="server" Width="10px" ImageUrl="/MB_WebSite/images/spacer.gif"></asp:image></TD>
					<TD align="left">
						<h1>Water Source Details</h1>
						<br>
						<P>
							<TABLE id="Table1" style="WIDTH: 381px; HEIGHT: 54px" cellSpacing="1" cellPadding="1" width="381"
								border="0">
								<TR>
									<TD style="WIDTH: 131px; HEIGHT: 24px"><asp:label id="Label1" runat="server" CssClass="label">Name</asp:label></TD>
									<TD style="HEIGHT: 24px"><asp:label id="lblName" runat="server"></asp:label></TD>
								</TR>
								<TR>
									<TD style="WIDTH: 131px" vAlign="top"><asp:label id="Label2" runat="server" CssClass="label"> Location</asp:label></TD>
									<TD><asp:label id="lblLocation" runat="server"></asp:label></TD>
								</TR>
								<TR>
									<TD style="WIDTH: 131px; HEIGHT: 25px"><asp:label id="Label3" runat="server" CssClass="label"> Latitude</asp:label></TD>
									<TD style="HEIGHT: 25px"><asp:label id="lblLatitude" runat="server"></asp:label></TD>
								</TR>
								<TR>
									<TD style="WIDTH: 131px"><asp:label id="Label4" runat="server" CssClass="label">Longitude</asp:label></TD>
									<TD><asp:label id="lblLongitude" runat="server"></asp:label></TD>
								</TR>
							</TABLE>
						</P>
						<P><asp:label id="Label5" runat="server" CssClass="label">Samples</asp:label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<asp:HyperLink id="hlAddSample" runat="server" NavigateUrl="">+ Add Sample</asp:HyperLink>
							<br>
							<asp:datagrid id="dgSamples" runat="server" Width="399px" AutoGenerateColumns="False">
								<SelectedItemStyle CssClass="selectedItem"></SelectedItemStyle>
								<ItemStyle VerticalAlign="Top"></ItemStyle>
								<HeaderStyle CssClass="headerItem"></HeaderStyle>
								<Columns>
									<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
									<asp:BoundColumn DataField="SampleDate" HeaderText="Date"></asp:BoundColumn>
									<asp:BoundColumn DataField="Temperature" HeaderText="Temperature"></asp:BoundColumn>
									<asp:TemplateColumn HeaderText="pH">
										<ItemTemplate>
											<asp:Label runat="server" Text='<%# Format(DataBinder.Eval(Container, "DataItem.pH"), "0.0") %>'>
											</asp:Label>
										</ItemTemplate>
										<EditItemTemplate>
											<asp:TextBox runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.pH") %>'>
											</asp:TextBox>
										</EditItemTemplate>
									</asp:TemplateColumn>
									<asp:TemplateColumn HeaderText="View&lt;br&gt;Details">
										<ItemTemplate>
											<asp:HyperLink runat="server" Text="" NavigateUrl='<%# DataBinder.Eval(Container, "DataItem.id", "edit_sample.aspx?method=view&sid={0}") %>'>
												<img src="/MB_WebSite/images/btn_details.gif" alt="View Details" border="0">
											</asp:HyperLink>
										</ItemTemplate>
									</asp:TemplateColumn>
									<asp:TemplateColumn HeaderText="Edit">
										<ItemTemplate>
											<asp:HyperLink runat="server" Text="" NavigateUrl='<%# DataBinder.Eval(Container, "DataItem.id", "edit_sample.aspx?method=edit&sid={0}") %>'>
												<img src="/MB_WebSite/images/btn_edit.gif" alt="Edit" border="0">
											</asp:HyperLink>
										</ItemTemplate>
									</asp:TemplateColumn>
									<asp:TemplateColumn HeaderText="Delete">
										<ItemTemplate>
											<asp:HyperLink runat="server" Text="" NavigateUrl='<%# DataBinder.Eval(Container, "DataItem.id", "edit_sample.aspx?method=delete&sid={0}") %>'>
												<img src="/MB_WebSite/images/btn_delete.gif" alt="Delete" border="0">
											</asp:HyperLink>
										</ItemTemplate>
									</asp:TemplateColumn>
								</Columns>
							</asp:datagrid></P>
					</TD>
				</TR>
			</TABLE>
		</form>
	</body>
</HTML>
