/*
'******************************************************************************
' FileName: Signup_CB.cs
' Author:   VL, HS, RS
' Created:  Nov-2003
' The code-behind file for signup.pwh
'*****************************************************************************
*/
using System;
using System.Text;
using System.Data;
using System.Reflection;
using System.Collections;
using Controls;
using PwhSystemInput;
using MobileZoo.PPC.BusinessObjects;

namespace MobileZoo.PPC.WebPages
{
	/// <summary>
	/// Summary description for codebehind.
	/// </summary>
	public class Signup_CB
	{
		protected HtmlControl lblMessage;
		protected HTTPRequest Request;

		public Signup_CB()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public void OnInit(ArrayList CtlContainer)
		{
			Request = (HTTPRequest)CtlContainer[0];
			lblMessage = (HtmlControl)CtlContainer[1];				
		}

		
		public void Page_Load()
		{
			String firstname;
			String lastname;
			String middleinitial;
			String address;
			String apartment;
			String city;
			String state;
			String zip;
			String country;
			String daytimephone;
			String emailaddress;
			String giftamount;
			String creditcard;
			String expdatemonth;
			String expdateyear;
			String accountnumber;
			String datacomplete;
			DateTime lastupdatedate=new DateTime();

			firstname = Request.Form("firstname");

			if(firstname==null) 
				firstname="";
			if(firstname=="")
			{
				//show the form
				lblMessage.ControlText = "Enter information:";
			}
			else
			{
				lastname = Request.Form("lastname");
				firstname = Request.Form("firstname");
				middleinitial = Request.Form("middleinitial");
				address = Request.Form("address");
				apartment = Request.Form("apartment");
				city = Request.Form("city");
				state = Request.Form("state");
				zip = Request.Form("zip");
				country = Request.Form("country");
				daytimephone = Request.Form("daytimephone");
				emailaddress = Request.Form("emailaddress");
				giftamount = Request.Form("giftamount");
				creditcard = Request.Form("creditcard");
				expdatemonth = Request.Form("expdatemonth");
				expdateyear = Request.Form("expdateyear");
				accountnumber = Request.Form("accountnumber");
				datacomplete = Request.Form("datacomplete");//"1";
/*
 * This code requires MZ_BusObjects.dll to be in the folder \Program Files\pwhost
				MZ_Util objUtil = new MZ_Util();
				bool retVal=false; 				
				retVal = objUtil.AddProspect(firstname,
					lastname,
					middleinitial,
					address,
					apartment,
					city,
					state,
					zip,
					country,
					daytimephone,
					emailaddress,
					giftamount,
					creditcard,
					expdatemonth,
					expdateyear,
					accountnumber,
					datacomplete,
					lastupdatedate);
*/

/*
 * This code allows MZ_BusObjects.dll to be in the folder \Program Files\pwhost\MobileZoo
 * 
 */
				string path = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase );
				string assemblyname = path + "\\MZ_BusObjects.dll";
				Assembly a = Assembly.LoadFrom(assemblyname);
				Type page = a.GetType("MobileZoo.PPC.BusinessObjects.MZ_Util");
				object obj = Activator.CreateInstance(page);

				MethodInfo addProspect = page.GetMethod("AddProspect");

				object[] paramArray = new object[18];
				paramArray[0] = firstname;
				paramArray[1] = lastname;
				paramArray[2] = middleinitial;
				paramArray[3] = address;
				paramArray[4] = apartment;
				paramArray[5] = city;
				paramArray[6] = state;
				paramArray[7] = zip;
				paramArray[8] = country;
				paramArray[9] = daytimephone;
				paramArray[10] = emailaddress;
				paramArray[11] = giftamount;
				paramArray[12] = creditcard;
				paramArray[13] = expdatemonth;
				paramArray[14] = expdateyear;
				paramArray[15] = accountnumber;
				paramArray[16] = datacomplete;
				paramArray[17] = lastupdatedate;

				object ret_obj = addProspect.Invoke(obj, paramArray);

				if (ret_obj.ToString()=="True")
				{
					lblMessage.ControlText = "User " + firstname + " " + lastname + " added successfully.";
				}
				else
				{
				lblMessage.ControlText = "Error adding prospect to database.";
				}

			}
		}
	}
}
