/*
'******************************************************************************
' FileName: Upload_CB.cs
' Author:   VL, HS, RS
' Created:  Nov-2003
' The code-behind file for upload.pwh
'*****************************************************************************
*/
using System;
using System.Text;
using System.Data;
using System.Reflection;
using System.Collections;
using Controls;
using PwhSystemInput;
using MobileZoo.PPC.BusinessObjects;

namespace MobileZoo.PPC.WebPages
{
	/// <summary>
	/// Summary description for codebehind.
	/// </summary>
	public class Upload_CB
	{
		protected HtmlControl lblNewRecords;
		protected HtmlControl lblConnected;
		protected HtmlControl lblSubmit;
		protected HTTPRequest Request;

		public Upload_CB()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public void OnInit(ArrayList CtlContainer)
		{
			Request = (HTTPRequest)CtlContainer[0];
			lblNewRecords = (HtmlControl)CtlContainer[1];				
			lblConnected = (HtmlControl)CtlContainer[2];				
			lblSubmit = (HtmlControl)CtlContainer[3];				
		}

		
		public void Page_Load()
		{
			string path = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase );
			string assemblyname = path + "\\MZ_BusObjects.dll";
			Assembly a = Assembly.LoadFrom(assemblyname);
			Type page = a.GetType("MobileZoo.PPC.BusinessObjects.MZ_Util");
			object obj = Activator.CreateInstance(page);
			MethodInfo checkConnection = page.GetMethod("CheckConnection");
			MethodInfo checkForChanges = page.GetMethod("CheckForChanges");
			MethodInfo addProspects = page.GetMethod("AddProspectsToServer");
			object[] paramArray = new object[0];
			object ret_obj;

			String strNewRecords;
			String strConnected;
			String strSubmit;
			String upload;
			upload = Request.Form("upload");


			if(upload==null) 
				upload="";
			if(upload=="")
			{
				//show the form
				ret_obj = checkForChanges.Invoke(obj, paramArray);
				strNewRecords = "There are " + ret_obj.ToString() + " new records to upload to server.";
				
				ret_obj = checkConnection.Invoke(obj, paramArray);
				if(ret_obj.ToString()=="True")
				{
					strConnected = "You are currently connected to server.";
					strSubmit = "<INPUT TYPE=SUBMIT VALUE=Upload>";
				}
				else
				{
					strConnected = " You are not connected to server.";
					strSubmit = "Please connect to network...";
				}

				lblNewRecords.ControlText = strNewRecords;
				lblConnected.ControlText = strConnected;
				lblSubmit.ControlText = strSubmit;
			}
			else
			{

				ret_obj = addProspects.Invoke(obj, paramArray);

				if (ret_obj.ToString()=="True")
				{
					lblNewRecords.ControlText = "New prospects uploaded successfully.";
				}
				else
				{
					lblNewRecords.ControlText = "Error uploading prospects.";
				}
				lblConnected.ControlText = "";
				lblSubmit.ControlText = "";

			}
		}
	}
}
