
'******************************************************************************
' FileName: signup.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileZoo.BusinessObjects
Namespace MobileZoo.WebPages

    Public Class signup
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents txtLastName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtFirstName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtMiddleInitial As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtAddress As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtCity As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtApartment As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtZip As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtCountry As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtDaytimePhone As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtEmailAddress As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtGiftAmount As System.Web.UI.WebControls.TextBox
        Protected WithEvents cboCreditCard As System.Web.UI.WebControls.DropDownList
        Protected WithEvents cboExpDateMonth As System.Web.UI.WebControls.DropDownList
        Protected WithEvents cboExpDateYear As System.Web.UI.WebControls.DropDownList
        Protected WithEvents txtAccountNumber As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtState As System.Web.UI.WebControls.TextBox
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            If Request.QueryString("message") <> "" Then
                lblMessage.Text = Request.QueryString("message")
            End If
        End Sub



        Private Sub cmdSubmit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSubmit.Click
            Dim objProspect As New Prospect
            objProspect.AccountNumber = txtAccountNumber.Text
            objProspect.Address = txtAddress.Text
            objProspect.Apartment = txtApartment.Text
            objProspect.City = txtCity.Text
            objProspect.Country = txtCountry.Text
            objProspect.CreditCard = cboCreditCard.SelectedValue
            objProspect.DataComplete = True
            objProspect.DaytimePhone = txtDaytimePhone.Text
            objProspect.EmailAddress = txtEmailAddress.Text
            objProspect.ExpDateMonth = cboExpDateMonth.SelectedValue
            objProspect.ExpDateYear = cboExpDateYear.SelectedValue
            objProspect.FirstName = txtFirstName.Text
            objProspect.GiftAmount = txtGiftAmount.Text
            objProspect.LastName = txtLastName.Text
            objProspect.LastUpdateDate = Now()
            objProspect.MiddleInitial = txtMiddleInitial.Text
            objProspect.State = txtState.Text
            objProspect.Zip = txtZip.Text

            Try
                objProspect.Save()
                Response.Redirect("signup.aspx?message=Data saved successfully.")
            Catch ex As Exception
                lblMessage.Text = "ERROR saving data: " & ex.Message
            End Try
        End Sub
    End Class
End Namespace
