
'******************************************************************************
' FileName: Util.vb
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileBiologist.PPC.DataAccessObjects
Imports System.Xml

Namespace MobileBiologist.PPC.BusinessObjects

    Public Class Util


        Public Sub New()

        End Sub

        Private Shared db As String = "\Program Files\MB_PPC\mb_db.sdf"


#Region "Public Functions"
        Public Function GetDBName() As String
            Return db
        End Function
        Public Function GetStrConn() As String
            Return "Data Source=" & db & ";password=test" ';encrypt database=true" ';persist security info=false"
        End Function
        Public Function GetURL() As String
            Dim objXMLDoc As New XmlDocument
            Dim fileName As String
            Dim objNode As XmlNode
            Dim objNodes As XmlNodeList
            Dim url As String


            fileName = "\Program Files\MB_PPC\config.xml"
            objXMLDoc.Load(fileName)
            For Each objNode In objXMLDoc.DocumentElement.ChildNodes
                If objNode.Name = "URL" Then
                    url = objNode.InnerText
                End If
            Next
            Return url

        End Function


        Public Function CheckConnection() As Boolean
            Try
                Dim d As Date
                Dim proxy As New Server.MB_WS
                Dim u As New Util

                proxy.Url = u.GetURL
                d = proxy.EchoString("test")
                Return True
            Catch ex As Exception
                Return False
            End Try
        End Function
        Public Function CheckForChanges() As Boolean
            Dim ds As DataSet
            Dim u As Util = New Util
            Dim strsql As String

            'check for changes in Sample table
            strsql = "SELECT Id FROM Sample where Id < 0"
            ds = SqlCEHelper.ExecuteDataset _
            (u.GetStrConn, strsql)
            If ds.Tables(0).Rows.Count > 0 Then
                Return True
            End If

            Return False
        End Function


        Public Function DeleteLocalData() As Boolean
            Dim strsql As String

            strsql = "DELETE FROM SAMPLE"
            SqlCEHelper.ExecuteCommand _
            (Me.GetStrConn, strsql)

            strsql = "DELETE FROM WaterSource"
            SqlCEHelper.ExecuteCommand _
            (Me.GetStrConn, strsql)

            strsql = "DELETE FROM Security"
            SqlCEHelper.ExecuteCommand _
            (Me.GetStrConn, strsql)

            Return True
        End Function

        Public Function CleanDatabase() As Boolean
            Dim strsql As String

            strsql = "DELETE FROM SAMPLE"
            SqlCEHelper.ExecuteCommand _
            (Me.GetStrConn, strsql)

            strsql = "DELETE FROM WaterSource"
            SqlCEHelper.ExecuteCommand _
            (Me.GetStrConn, strsql)

        End Function

        Public Function Login(ByVal username As String, ByVal pwd As String) As Boolean
            Dim proxy As New Server.MB_WS
            proxy.Url = Me.GetURL
            Return proxy.Login(username, pwd)
        End Function

        Public Function LoginLocal(ByVal username As String, ByVal pwd As String) As Boolean
            Dim strsql As String
            Dim ds As DataSet
            Dim r As DataRow

            strsql = "SELECT pwd from Security where username='" & username & "'"
            ds = SqlCEHelper.ExecuteDataset _
            (Me.GetStrConn, strsql)
            If ds.Tables(0).Rows.Count = 0 Then
                Return False
            Else
                r = ds.Tables(0).Rows(0)
                If r("Pwd") = pwd Then
                    Return True
                Else
                    Return False
                End If
            End If
        End Function
        Public Function SaveSecurityData(ByVal username As String, ByVal pwd As String) As Boolean
            Dim strsql As String
            Dim ds As DataSet
            Dim r As DataRow

            strsql = "SELECT * from Security where username='" & username & "'"
            ds = SqlCEHelper.ExecuteDataset(Me.GetStrConn, strsql)
            If ds.Tables(0).Rows.Count = 0 Then
                strsql = "INSERT INTO Security (Username, Pwd) " & _
                "VALUES ('" & username & "', '" & pwd & "')"
                SqlCEHelper.ExecuteCommand(Me.GetStrConn, strsql)
            Else
                r = ds.Tables(0).Rows(0)
                If r("Pwd") <> pwd Then
                    strsql = "UPDATE Security set Pwd='" & pwd & "' " & _
                    "WHERE Username='" & username & "'"
                    SqlCEHelper.ExecuteCommand(Me.GetStrConn, strsql)
                End If
            End If

            Return True
        End Function
#End Region

    End Class
End Namespace
