
'******************************************************************************
' FileName: edit_user.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileBiologist.BusinessObjects
Imports System.Web.Security
Namespace MobileBiologist.WebPages

    Public Class edit_user
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents Image1 As System.Web.UI.WebControls.Image
        Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
        Protected WithEvents Label1 As System.Web.UI.WebControls.Label
        Protected WithEvents txtUsername As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label2 As System.Web.UI.WebControls.Label
        Protected WithEvents Label3 As System.Web.UI.WebControls.Label
        Protected WithEvents Label4 As System.Web.UI.WebControls.Label
        Protected WithEvents txtFirstName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtLastName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtEmail As System.Web.UI.WebControls.TextBox
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents Label5 As System.Web.UI.WebControls.Label
        Protected WithEvents lstRoles As System.Web.UI.WebControls.DropDownList
        Protected WithEvents txtNewPassword As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label8 As System.Web.UI.WebControls.Label
        Protected WithEvents lblChangePassword As System.Web.UI.WebControls.Label
        Protected WithEvents lblNewPassword As System.Web.UI.WebControls.Label
        Protected WithEvents txtConfirmPassword As System.Web.UI.WebControls.TextBox

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region
        Private method As String
        Private usr As MBUser
        Private uid As Integer

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

            Dim strMessage As String

            method = Request.QueryString("method")
            Select Case method
                Case "delete"
                    lblTitle.Text = "Delete User"
                    cmdSubmit.Text = "Delete"
                Case "add"
                    lblTitle.Text = "Add User"
                    cmdSubmit.Text = "Add"
                Case "edit"
                    lblTitle.Text = "Edit User"
                    cmdSubmit.Text = "Edit"
            End Select
            If Request.QueryString("uid") <> "" Then
                uid = CInt(Request.QueryString("uid"))
            Else : uid = 0
            End If

            If Not IsPostBack Then
                BindFields()
            Else

                usr = New MBUser(uid)
                If method = "add" Then
                    'make sure username is not already taken
                    If usr.NameIsTaken(txtUsername.Text) Then
                        strMessage = "ERROR: that username is already taken"
                        Response.Redirect("users.aspx?message=" & strMessage)
                    End If
                End If
                If method = "add" Or method = "edit" Then
                    'save the user

                    Dim blnSave As Boolean = True

                    usr.Username = txtUsername.Text
                    usr.FirstName = txtFirstName.Text
                    usr.LastName = txtLastName.Text
                    usr.Email = txtEmail.Text
                    usr.RoleId = lstRoles.SelectedValue

                    If txtNewPassword.Text <> String.Empty Then
                        If txtNewPassword.Text = txtConfirmPassword.Text Then
                            usr.Password = txtNewPassword.Text
                        Else
                            strMessage = "ERROR saving user, password and confirm password do not match"
                            blnSave = False
                        End If
                    End If

                    If blnSave Then
                        If usr.Save() Then
                            strMessage = "User " & txtUsername.Text & " saved successfully"
                        Else
                            strMessage = "ERROR saving user"
                        End If
                    End If
                ElseIf method = "delete" Then
                    'delete user
                    If usr.Delete() Then
                        strMessage = "User " & txtUsername.Text & " deleted successfully"
                    Else
                        strMessage = "ERROR deleting user"
                    End If
                End If
                Response.Redirect("users.aspx?message=" & strMessage)
            End If

        End Sub

        Private Sub BindFields()
            Dim r As New MBRole
            lstRoles.DataSource = r.GetRoleList
            lstRoles.DataTextField = "Name"
            lstRoles.DataValueField = "Id"
            lstRoles.DataBind()
            Dim li As ListItem = New ListItem("select a role...")
            li.Value = 0
            lstRoles.Items.Add(li)

            If method = "add" Then
                lblChangePassword.Text = "Set Password:"
                lblNewPassword.Text = "Password"
            ElseIf method = "edit" Or method = "delete" Then
                usr = New MBUser(uid)
                txtUsername.Text = usr.Username
                txtFirstName.Text = usr.FirstName
                txtLastName.Text = usr.LastName
                txtEmail.Text = usr.Email
                If usr.RoleId > 0 Then
                    lstRoles.SelectedValue = usr.RoleId
                Else
                    lstRoles.SelectedValue = 0
                End If
            ElseIf method = "delete" Then
                'disable the text fields
                txtUsername.Enabled = False
                txtFirstName.Enabled = False
                txtLastName.Enabled = False
                txtEmail.Enabled = False
                txtNewPassword.Enabled = False
                txtConfirmPassword.Enabled = False
            End If
        End Sub
    End Class
End Namespace
