<%@ Register TagPrefix="uc1" TagName="Banner" Src="/MB_WebSite/controls/Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="LeftNav" Src="/MB_WebSite/controls/LeftNav.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="watersources.aspx.vb" Inherits="MobileBiologist.WebPages.watersources" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Mobile Biologist Web Site</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="/MB_WebSite/Styles.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body leftMargin="0" background="/MB_WebSite/images/bg.gif" topMargin="0">
		<form id="Form1" method="post" runat="server">
			<uc1:banner id="Banner1" runat="server"></uc1:banner>
			<TABLE id="maintable" cellSpacing="0" cellPadding="0" width="600" border="0">
				<TR>
					<TD style="WIDTH: 167px" vAlign="top" align="left"><uc1:leftnav id="LeftNav1" runat="server"></uc1:leftnav></TD>
					<TD style="WIDTH: 1px" width="1"><asp:image id="Image1" runat="server" Width="10px" ImageUrl="/MB_WebSite/images/spacer.gif"></asp:image></TD>
					<TD align="left">
						<h1>Water Sources</h1>
						<P><asp:hyperlink id="HyperLink1" runat="server" NavigateUrl="edit_ws.aspx?method=add">+ Add Water Source</asp:hyperlink></P>
						<asp:Label id="lblMessage" runat="server" CssClass="message"></asp:Label>
						<asp:datagrid id="dgWaterSources" runat="server" AutoGenerateColumns="False" Width="415px">
							<SelectedItemStyle CssClass="selectedItem" VerticalAlign="Top"></SelectedItemStyle>
							<EditItemStyle VerticalAlign="Top"></EditItemStyle>
							<AlternatingItemStyle VerticalAlign="Top"></AlternatingItemStyle>
							<ItemStyle VerticalAlign="Top"></ItemStyle>
							<HeaderStyle CssClass="headerItem"></HeaderStyle>
							<Columns>
								<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
								<asp:BoundColumn DataField="Name" HeaderText="Name"></asp:BoundColumn>
								<asp:BoundColumn DataField="Location" HeaderText="Location"></asp:BoundColumn>
								<asp:BoundColumn DataField="Latitude" HeaderText="Latitude" ItemStyle-Width="60"></asp:BoundColumn>
								<asp:BoundColumn DataField="Longitude" HeaderText="Longitude" ItemStyle-Width="60"></asp:BoundColumn>
								<asp:TemplateColumn HeaderText="Samples">
									<ItemTemplate>
										<asp:datagrid id="dgSamples" GridLines="None" runat="server" AutoGenerateColumns="False" ShowHeader="false">
											<Columns>
												<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
												<asp:BoundColumn DataField="SampleDate" HeaderText="Date"></asp:BoundColumn>
											</Columns>
										</asp:datagrid>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="View Details">
									<ItemTemplate>
										<asp:HyperLink runat="server" Text="View" NavigateUrl='<%# DataBinder.Eval(Container, "DataItem.Id", "view_ws.aspx?wsid={0}")%>' ID="Hyperlink4" >
											<img src="/MB_WebSite/images/btn_details.gif" border="0" alt="Details">
										</asp:HyperLink>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Edit">
									<ItemTemplate>
										<asp:HyperLink runat="server" Text="Edit" NavigateUrl='<%# DataBinder.Eval(Container, "DataItem.Id", "edit_ws.aspx?method=edit&wsid={0}") %>' ID="Hyperlink2" >
											<img src="/MB_WebSite/images/btn_edit.gif" border="0" alt="Edit">
										</asp:HyperLink>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Delete">
									<ItemTemplate>
										<asp:HyperLink runat="server" Text="Delete" NavigateUrl='<%# DataBinder.Eval(Container, "DataItem.Id", "edit_ws.aspx?method=delete&wsid={0}") %>' ID="Hyperlink3" >
											<img src="/MB_WebSite/images/btn_delete.gif" border="0" alt="Delete">
										</asp:HyperLink>
									</ItemTemplate>
								</asp:TemplateColumn>
							</Columns>
						</asp:datagrid><br>
					</TD>
				</TR>
			</TABLE>
		</form>
	</body>
</HTML>
