Imports MobileBiologist.Tablet.DataAccessObjects
Imports System.Xml

Namespace MobileBiologist.Tablet.BusinessObjects

    Public Class Util

#Region "Constructors"

        Public Sub New()

        End Sub
#End Region



#Region "Public Functions"
        Public Function GetStrConn() As String
            Return Configuration.ConfigurationSettings.AppSettings.Get("DBConn")
        End Function
        Public Function GetURL() As String
            Return Configuration.ConfigurationSettings.AppSettings.Get("URL")
        End Function


        Public Function CheckConnection() As Boolean
            Try
                Dim d As Date
                Dim proxy As New Server.MB_WS
                Dim u As New Util

                proxy.Url = u.GetURL
                d = proxy.EchoString("test")
                Return True
            Catch ex As Exception
                Return False
            End Try
        End Function
        Public Function CheckForChanges() As Boolean
            Dim ds As DataSet
            Dim u As Util = New Util
            Dim strsql As String

            'check for changes in Sample table
            strsql = "SELECT Id FROM Sample where Id<0"
            ds = SqlHelper.ExecuteDataset _
            (u.GetStrConn, CommandType.Text, strsql)
            If ds.Tables(0).Rows.Count > 0 Then
                Return True
            End If

            Return False
        End Function


        Public Function DeleteLocalData() As Boolean
            'clean out the sample and water source tables
            Dim result As Boolean
            result = Me.CleanDatabase


            'clean out the security table
            Dim strSQL As String
            strSQL = "DELETE FROM Security"
            SqlHelper.ExecuteNonQuery _
            (Me.GetStrConn, CommandType.Text, strSQL)

        End Function

        Public Function CleanDatabase() As Boolean
            Dim strsql As String

            strsql = "DELETE FROM SAMPLE"
            SqlHelper.ExecuteNonQuery _
            (Me.GetStrConn, CommandType.Text, strsql)

            strsql = "DELETE FROM WaterSource"
            SqlHelper.ExecuteNonQuery _
            (Me.GetStrConn, CommandType.Text, strsql)

        End Function

        Public Function Login(ByVal username As String, ByVal pwd As String) As Boolean
            Dim proxy As New Server.MB_WS
            proxy.Url = Me.GetURL
            Return proxy.Login(username, pwd)
        End Function

        Public Function LoginLocal(ByVal username As String, ByVal pwd As String) As Boolean
            Dim strsql As String
            Dim ds As DataSet
            Dim r As DataRow

            strsql = "SELECT pwd from Security where username='" & username & "'"
            ds = SqlHelper.ExecuteDataset _
            (Me.GetStrConn, CommandType.Text, strsql)
            If ds.Tables(0).Rows.Count = 0 Then
                Return False
            Else
                r = ds.Tables(0).Rows(0)
                If r("Pwd") = pwd Then
                    Return True
                Else
                    Return False
                End If
            End If
        End Function
        Public Function SaveSecurityData(ByVal username As String, ByVal pwd As String) As Boolean
            Dim strsql As String
            Dim ds As DataSet
            Dim r As DataRow

            strsql = "SELECT pwd from Security where username='" & username & "'"
            ds = SqlHelper.ExecuteDataset _
            (Me.GetStrConn, CommandType.Text, strsql)
            If ds.Tables(0).Rows.Count = 0 Then
                strsql = "INSERT INTO Security (Username, Pwd) " & _
                "VALUES ('" & username & "', '" & pwd & "')"
                SqlHelper.ExecuteNonQuery _
                (Me.GetStrConn, CommandType.Text, strsql)

            Else
                r = ds.Tables(0).Rows(0)
                If r("Pwd") <> pwd Then
                    strsql = "UPDATE Security set Pwd='" & pwd & "' " & _
                    "WHERE Username='" & username & "'"
                    SqlHelper.ExecuteNonQuery _
                    (Me.GetStrConn, CommandType.Text, strsql)
                End If
            End If

            Return True
        End Function
#End Region

    End Class
End Namespace
