<%@ Page Language="vb" AutoEventWireup="false" Codebehind="default.aspx.vb" Inherits="MobileMuseum.WebPages.Mobile._default" %>
<%@ Register TagPrefix="mobile" Namespace="System.Web.UI.MobileControls" Assembly="System.Web.Mobile" %>
<HEAD>
	<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
	<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
	<meta content="http://schemas.microsoft.com/Mobile/Page" name="vs_targetSchema">
</HEAD>
<body Xmlns:mobile="http://schemas.microsoft.com/Mobile/WebForm">
	<mobile:stylesheet id="StyleSheet1" runat="server">
		<mobile:Style Font-Size="Small" BackColor="Black" ForeColor="White" Name="Form"></mobile:Style>
		<mobile:Style Font-Size="Small" Font-Name="Arial" Name="small-text"></mobile:Style>
		<mobile:Style Font-Size="Normal" Font-Name="Arial" ForeColor="#CC0000" Name="red-label"></mobile:Style>
		<mobile:Style Font-Size="Normal" Font-Name="Arial" ForeColor="Silver" Name="gray-label"></mobile:Style>
		<mobile:Style Font-Size="Small" Font-Name="Arial" ForeColor="#CC0000" Name="small-nav"></mobile:Style>
		<mobile:Style Font-Size="Small" Font-Name="Arial" ForeColor="White" Name="nav"></mobile:Style>
		<mobile:Style Font-Size="Small" Font-Name="Arial" ForeColor="#CC0000" Name="sm-red-label"></mobile:Style>
	</mobile:stylesheet>
	<mobile:form id="frmWelcome" runat="server" StyleReference="Form">
		<mobile:Link id="Link2" runat="server" StyleReference="nav" NavigateUrl="#frmWelcome">Home</mobile:Link>
		<mobile:Link id="Link15" runat="server" StyleReference="nav" NavigateUrl="#frmGalleries">Galleries</mobile:Link>
		<mobile:Link id="Link1" runat="server" StyleReference="nav" NavigateUrl="#frmHelp">Help</mobile:Link>
		<mobile:Link id="Link3" runat="server" StyleReference="nav" NavigateUrl="#frmSignup">Signup</mobile:Link>
		<mobile:Image id="Image3" runat="server" ImageUrl="images/grayline.gif"></mobile:Image>
		<mobile:Label id="Label9" runat="server"></mobile:Label>
		<mobile:Label id="Label1" runat="server" StyleReference="red-label">Welcome to the Mobile Museum Guide</mobile:Label>
		<mobile:Image id="Image1" runat="server" ImageUrl="images/galleries1.gif" AlternateText="Gallery 1"></mobile:Image>
	</mobile:form>
	<mobile:form id="frmHelp" runat="server" StyleReference="Form">
		<mobile:Link id="Link4" runat="server" StyleReference="nav" NavigateUrl="#frmWelcome">Home</mobile:Link>
		<mobile:Link id="Link6" runat="server" StyleReference="nav" NavigateUrl="#frmGalleries">Galleries</mobile:Link>
		<mobile:Link id="Link16" runat="server" StyleReference="nav" NavigateUrl="#frmHelp">Help</mobile:Link>
		<mobile:Link id="Link5" runat="server" StyleReference="nav" NavigateUrl="#frmSignup">Signup</mobile:Link>
		<mobile:Image id="Image2" runat="server" ImageUrl="images/grayline.gif"></mobile:Image>
		<mobile:Label id="Label10" runat="server"></mobile:Label>
		<mobile:Label id="Label3" runat="server" StyleReference="red-label">Paintings</mobile:Label>
		<mobile:Label id="Label4" runat="server" StyleReference="small-text" Wrapping="Wrap">The paintings used on this web site are on display at the Metropolitan Museum of Art in New York. The photographs were taken by one of the authors during a visit there.</mobile:Label>
		<mobile:Label id="Label11" runat="server"></mobile:Label>
		<mobile:Label id="Label5" runat="server" StyleReference="red-label">Useful Links</mobile:Label>
		<mobile:Link id="Link7" runat="server" StyleReference="nav" NavigateUrl="http://www.hp.com">HP</mobile:Link>
		<mobile:Link id="Link8" runat="server" StyleReference="nav" NavigateUrl="http://www.metmuseum.org/">Metropolitan Museum of Art</mobile:Link>
	</mobile:form>
	<mobile:form id="frmGalleries" runat="server" StyleReference="Form">
		<mobile:Link id="Link9" runat="server" StyleReference="nav" NavigateUrl="#frmWelcome">Home</mobile:Link>
		<mobile:Link id="Link17" runat="server" StyleReference="nav" NavigateUrl="#frmGalleries">Galleries</mobile:Link>
		<mobile:Link id="Link11" runat="server" StyleReference="nav" NavigateUrl="#frmHelp">Help</mobile:Link>
		<mobile:Link id="Link12" runat="server" StyleReference="nav" NavigateUrl="#frmSignup">Signup</mobile:Link>
		<mobile:Image id="Image4" runat="server" ImageUrl="images/grayline.gif"></mobile:Image>
		<mobile:Label id="Label12" runat="server"></mobile:Label>
		<mobile:Label id="Label2" runat="server" StyleReference="red-label">Galleries</mobile:Label>
		<mobile:SelectionList id="lstGalleries" runat="server"></mobile:SelectionList>
		<mobile:Command id="cmdSelectGallery" runat="server">Select</mobile:Command>
	</mobile:form>
	<mobile:Form id="frmPainting" runat="server" StyleReference="Form">
		<mobile:Link id="Link22" runat="server" StyleReference="nav" NavigateUrl="#frmWelcome">Home</mobile:Link>
		<mobile:Link id="Link21" runat="server" StyleReference="nav" NavigateUrl="#frmGalleries">Galleries</mobile:Link>
		<mobile:Link id="Link20" runat="server" StyleReference="nav" NavigateUrl="#frmHelp">Help</mobile:Link>
		<mobile:Link id="Link19" runat="server" StyleReference="nav" NavigateUrl="#frmSignup">Signup</mobile:Link>
		<mobile:Image id="Image6" runat="server" ImageUrl="images/grayline.gif"></mobile:Image>
		<mobile:Label id="Label8" runat="server"></mobile:Label>
		<mobile:Label id="lblGallery" runat="server" StyleReference="red-label">Gallery</mobile:Label>
		<mobile:SelectionList id="lstPaintings" runat="server"></mobile:SelectionList>
		<mobile:Command id="cmdSelectPainting" runat="server">Select</mobile:Command>
		<mobile:Label id="lblPainting" runat="server" StyleReference="sm-red-label"></mobile:Label>
		<mobile:Image id="imgMain" runat="server"></mobile:Image>
		<mobile:Label id="lblPainter" runat="server" StyleReference="small-text"></mobile:Label>
		<mobile:Label id="lblDates" runat="server" StyleReference="small-text"></mobile:Label>
	</mobile:Form>
	<mobile:form id="frmSignup" runat="server" StyleReference="Form">
		<mobile:Link id="Link14" runat="server" StyleReference="nav" NavigateUrl="#frmWelcome">Home</mobile:Link>
		<mobile:Link id="Link13" runat="server" StyleReference="nav" NavigateUrl="#frmGalleries">Galleries</mobile:Link>
		<mobile:Link id="Link10" runat="server" StyleReference="nav" NavigateUrl="#frmHelp">Help</mobile:Link>
		<mobile:Link id="Link18" runat="server" StyleReference="nav" NavigateUrl="#frmSignup">Signup</mobile:Link>
		<mobile:Image id="Image5" runat="server" ImageUrl="images/grayline.gif"></mobile:Image>
		<mobile:Label id="Label13" runat="server"></mobile:Label>
		<mobile:Label id="Label6" runat="server" StyleReference="red-label">Signup</mobile:Label>
		<mobile:Label id="lblMessage" runat="server" StyleReference="sm-red-label"></mobile:Label>
		<mobile:Label id="Label7" runat="server">First Name</mobile:Label>
		<mobile:TextBox id="txtFirstName" runat="server" Size="10"></mobile:TextBox>
		<mobile:Label id="Label14" runat="server">Last Name</mobile:Label>
		<mobile:TextBox id="txtLastName" runat="server" Size="10"></mobile:TextBox>
		<mobile:Label id="Label15" runat="server">Middle Initial</mobile:Label>
		<mobile:TextBox id="txtMiddleInitial" runat="server" Size="5"></mobile:TextBox>
		<mobile:Label id="Label16" runat="server">Address</mobile:Label>
		<mobile:TextBox id="txtAddress" runat="server"></mobile:TextBox>
		<mobile:Label id="Label17" runat="server">Apartment</mobile:Label>
		<mobile:TextBox id="txtApartment" runat="server" Size="5"></mobile:TextBox>
		<mobile:Label id="Label18" runat="server">City</mobile:Label>
		<mobile:TextBox id="txtCity" runat="server"></mobile:TextBox>
		<mobile:Label id="Label24" runat="server">State</mobile:Label>
		<mobile:TextBox id="txtState" runat="server" Size="5"></mobile:TextBox>
		<mobile:Label id="Label23" runat="server">Zip</mobile:Label>
		<mobile:TextBox id="txtZip" runat="server" Size="7"></mobile:TextBox>
		<mobile:Label id="Label22" runat="server">Country</mobile:Label>
		<mobile:TextBox id="txtCountry" runat="server" Size="7"></mobile:TextBox>
		<mobile:Label id="Label21" runat="server">Daytime Phone</mobile:Label>
		<mobile:TextBox id="txtDaytimePhone" runat="server"></mobile:TextBox>
		<mobile:Label id="Label20" runat="server">Email</mobile:Label>
		<mobile:TextBox id="txtEmailAddress" runat="server"></mobile:TextBox>
		<mobile:Label id="Label19" runat="server">Gift Amount</mobile:Label>
		<mobile:TextBox id="txtGiftAmount" runat="server"></mobile:TextBox>
		<mobile:Label id="Label28" runat="server">Credit Card</mobile:Label>
		<mobile:SelectionList id="lstCreditCard" runat="server">
			<Item Value="Master Card" Text="Master Card"></Item>
			<Item Value="Visa" Text="Visa"></Item>
			<Item Value="American Express" Text="American Express"></Item>
		</mobile:SelectionList>
		<mobile:Label id="Label25" runat="server">Exp Date Month</mobile:Label>
		<mobile:SelectionList id="lstExpDateMonth" runat="server">
			<Item Value="1" Text="01"></Item>
			<Item Value="2" Text="02"></Item>
			<Item Value="03" Text="03"></Item>
			<Item Value="04" Text="04"></Item>
			<Item Value="05" Text="05"></Item>
			<Item Value="06" Text="06"></Item>
			<Item Value="07" Text="07"></Item>
			<Item Value="08" Text="08"></Item>
			<Item Value="09" Text="09"></Item>
			<Item Value="10" Text="10"></Item>
			<Item Value="11" Text="11"></Item>
			<Item Value="12" Text="12"></Item>
		</mobile:SelectionList>
		<mobile:Label id="Label27" runat="server">Exp Date Year</mobile:Label>
		<mobile:SelectionList id="lstExpDateYear" runat="server">
			<Item Value="2003" Text="2003"></Item>
			<Item Value="2004" Text="2004"></Item>
			<Item Value="2005" Text="2005"></Item>
			<Item Value="2006" Text="2006"></Item>
			<Item Value="2007" Text="2007"></Item>
			<Item Value="2008" Text="2008"></Item>
			<Item Value="2009" Text="2009"></Item>
			<Item Value="2010" Text="2010"></Item>
		</mobile:SelectionList>
		<mobile:Label id="Label26" runat="server">Account #</mobile:Label>
		<mobile:TextBox id="txtAccountNumber" runat="server"></mobile:TextBox>
		<mobile:Command id="cmdSubmitSignup" runat="server">Submit</mobile:Command>
	</mobile:form>
</body>
