
'******************************************************************************
' FileName: edit_painting.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileMuseum.BusinessObjects
Namespace MobileMuseum.WebPages


    Public Class edit_painting
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
        Protected WithEvents Label1 As System.Web.UI.WebControls.Label
        Protected WithEvents txtNumber As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label2 As System.Web.UI.WebControls.Label
        Protected WithEvents txtTitle As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label3 As System.Web.UI.WebControls.Label
        Protected WithEvents txtMainImage As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label4 As System.Web.UI.WebControls.Label
        Protected WithEvents txtSmallImage As System.Web.UI.WebControls.TextBox
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents Label5 As System.Web.UI.WebControls.Label
        Protected WithEvents Label6 As System.Web.UI.WebControls.Label
        Protected WithEvents Label7 As System.Web.UI.WebControls.Label
        Protected WithEvents txtPainter As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtDates As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtDescription As System.Web.UI.WebControls.TextBox

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region


        Private method As String
        Private objPainting As Painting
        Private gid As Integer
        Private pId As Integer


        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

            Dim strMessage As String

            method = Request.QueryString("method")
            Select Case method
                Case "delete"
                    lblTitle.Text = "Delete Painting"
                    cmdSubmit.Text = "Delete"
                Case "add"
                    lblTitle.Text = "Add Painting"
                    cmdSubmit.Text = "Add"
                Case "edit"
                    lblTitle.Text = "Edit Painting"
                    cmdSubmit.Text = "Edit"
                Case "view"
                    lblTitle.Text = "View Painting"
                    cmdSubmit.Text = "Done"
            End Select
            If Request.QueryString("gid") <> "" Then
                gid = CInt(Request.QueryString("gid"))
            Else : gid = 0
            End If
            If Request.QueryString("pid") <> "" Then
                pId = CInt(Request.QueryString("pid"))
            Else : pId = 0
            End If

            If Not IsPostBack Then
                BindFields()
            Else

                objPainting = New Painting(pId)
                If method = "add" Or method = "edit" Then
                    'save the painting
                    objPainting.Number = txtNumber.Text
                    objPainting.Title = txtTitle.Text
                    objPainting.Painter = txtPainter.Text
                    objPainting.Dates = txtDates.Text
                    objPainting.Description = txtDescription.Text
                    objPainting.MainImage = txtMainImage.Text
                    objPainting.SmallImage = txtSmallImage.Text
                    objPainting.GalleryId = gid

                    If objPainting.Save() Then
                        strMessage = "Painting saved successfully"
                    Else
                        strMessage = "ERROR saving painting"
                    End If
                ElseIf method = "delete" Then
                    'delete painting
                    If objPainting.Delete() Then
                        strMessage = "Painting deleted successfully"
                    Else
                        strMessage = "ERROR deleting painting"
                    End If
                End If
                Response.Redirect("view_gallery.aspx?gid=" & gid & "&message=" & strMessage)
            End If

        End Sub

        Private Sub BindFields()
            If method = "view" Or method = "edit" Or method = "delete" Then
                objPainting = New Painting(pId)
                txtNumber.Text = objPainting.Number
                txtTitle.Text = objPainting.Title
                txtPainter.Text = objPainting.Painter
                txtDates.Text = objPainting.Dates
                txtDescription.Text = objPainting.Description
                txtMainImage.Text = objPainting.MainImage
                txtSmallImage.Text = objPainting.SmallImage
            End If
            If method = "delete" Or method = "view" Then
                'disable the text fields
                txtNumber.Enabled = False
                txtTitle.Enabled = False
                txtPainter.Enabled = False
                txtDates.Enabled = False
                txtDescription.Enabled = False
                txtMainImage.Enabled = False
                txtSmallImage.Enabled = False
            End If
        End Sub


    End Class
End Namespace
