
'******************************************************************************
' FileName: edit_prospect.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports MobileMuseum.BusinessObjects
Namespace MobileMuseum.WebPages

    Public Class edit_prospect
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
        Protected WithEvents cmdSubmit As System.Web.UI.WebControls.Button
        Protected WithEvents txtLastName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtFirstName As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtMiddleInitial As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtAddress As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtApartment As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtCity As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtState As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtZip As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtCountry As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtDaytimePhone As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtEmailAddress As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtGiftAmount As System.Web.UI.WebControls.TextBox
        Protected WithEvents cboCreditCard As System.Web.UI.WebControls.DropDownList
        Protected WithEvents cboExpDateMonth As System.Web.UI.WebControls.DropDownList
        Protected WithEvents cboExpDateYear As System.Web.UI.WebControls.DropDownList
        Protected WithEvents txtAccountNumber As System.Web.UI.WebControls.TextBox

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private method As String
        Private objProspect As prospect
        Private pid As Integer

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

            Dim strMessage As String

            method = Request.QueryString("method")
            Select Case method
                Case "view"
                    lblTitle.Text = "View prospect"
                    cmdSubmit.Text = "Done"
                Case "delete"
                    lblTitle.Text = "Delete Prospect"
                    cmdSubmit.Text = "Delete"
                Case "add"
                    lblTitle.Text = "Add Prospect"
                    cmdSubmit.Text = "Add"
                Case "edit"
                    lblTitle.Text = "Edit Prospect"
                    cmdSubmit.Text = "Edit"
            End Select
            If Request.QueryString("pid") <> "" Then
                pid = CInt(Request.QueryString("pid"))
            Else : pid = 0
            End If

            If Not IsPostBack Then
                BindFields()
            Else

                objProspect = New Prospect(pid)
                If method = "add" Or method = "edit" Then
                    'save the prospect
                    objProspect.AccountNumber = txtAccountNumber.Text
                    objProspect.Address = txtAddress.Text
                    objProspect.Apartment = txtApartment.Text
                    objProspect.City = txtCity.Text
                    objProspect.Country = txtCountry.Text
                    objProspect.CreditCard = cboCreditCard.SelectedValue
                    objProspect.DataComplete = True
                    objProspect.DaytimePhone = txtDaytimePhone.Text
                    objProspect.EmailAddress = txtEmailAddress.Text
                    objProspect.ExpDateMonth = cboExpDateMonth.SelectedValue
                    objProspect.ExpDateYear = cboExpDateYear.SelectedValue
                    objProspect.FirstName = txtFirstName.Text
                    objProspect.GiftAmount = txtGiftAmount.Text
                    objProspect.LastName = txtLastName.Text
                    objProspect.LastUpdateDate = Now()
                    objProspect.MiddleInitial = txtMiddleInitial.Text
                    objProspect.State = txtState.Text
                    objProspect.Zip = txtZip.Text

                    Try
                        If objProspect.Save() Then
                            strMessage = "Prospect " & txtFirstName.Text & " " & txtLastName.Text & " saved successfully"
                        Else
                            strMessage = "ERROR saving prospect"
                        End If

                    Catch ex As Exception
                        strMessage = "ERROR saving prospect: " & ex.Message
                    End Try
                ElseIf method = "delete" Then
                    'delete prospect
                    If objProspect.Delete() Then
                        strMessage = "Prospect " & txtFirstName.Text & " " & txtLastName.Text & " deleted successfully"
                    Else
                        strMessage = "ERROR deleting prospect"
                    End If
                End If
                Response.Redirect("prospects.aspx?message=" & strMessage)
            End If

        End Sub

        Private Sub BindFields()

            If method = "view" Or method = "edit" Or method = "delete" Or method = "add" Then
                objProspect = New Prospect(pid)
                txtAccountNumber.Text = objProspect.AccountNumber
                txtAddress.Text = objProspect.Address
                txtApartment.Text = objProspect.Apartment
                txtCity.Text = objProspect.City
                txtCountry.Text = objProspect.Country
                If objProspect.CreditCard <> "" Then
                    cboCreditCard.SelectedValue = objProspect.CreditCard
                End If

                txtDaytimePhone.Text = objProspect.DaytimePhone
                txtEmailAddress.Text = objProspect.EmailAddress
                If objProspect.ExpDateMonth > 0 Then
                    cboExpDateMonth.SelectedValue = objProspect.ExpDateMonth
                End If
                If objProspect.ExpDateYear > 0 Then
                    cboExpDateYear.SelectedValue = objProspect.ExpDateYear
                End If

                txtFirstName.Text = objProspect.FirstName
                txtGiftAmount.Text = objProspect.GiftAmount()
                txtLastName.Text = objProspect.LastName
                txtMiddleInitial.Text = objProspect.MiddleInitial
                txtState.Text = objProspect.State
                txtZip.Text = objProspect.Zip

            End If
            If method = "delete" Or method = "view" Then
                'disable the text fields
                txtAccountNumber.Enabled = False
                txtAddress.Enabled = False
                txtApartment.Enabled = False
                txtCity.Enabled = False
                txtCountry.Enabled = False
                cboCreditCard.Enabled = False
                txtDaytimePhone.Enabled = False
                txtEmailAddress.Enabled = False
                cboExpDateMonth.Enabled = False
                cboExpDateYear.Enabled = False
                txtFirstName.Enabled = False
                txtGiftAmount.Enabled = False
                txtLastName.Enabled = False
                txtMiddleInitial.Enabled = False
                txtState.Enabled = False
                txtZip.Enabled = False
            End If
        End Sub


        Private Sub cmdSubmit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSubmit.Click

        End Sub
    End Class
End Namespace
