
'******************************************************************************
' FileName: login.aspx
' Author:   VL, HS, RS
' Created:  Nov-2003
'*****************************************************************************

Imports System.Web.Security
Imports MobileZoo.BusinessObjects
Namespace MobileZoo.WebPages
    Public Class login
        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub
        Protected WithEvents pnlRegister As System.Web.UI.WebControls.Panel
        Protected WithEvents cmdRegister As System.Web.UI.WebControls.Button
        Protected WithEvents Label1 As System.Web.UI.WebControls.Label
        Protected WithEvents Label3 As System.Web.UI.WebControls.Label
        Protected WithEvents Label4 As System.Web.UI.WebControls.Label
        Protected WithEvents Label5 As System.Web.UI.WebControls.Label
        Protected WithEvents txtFirst_add As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label6 As System.Web.UI.WebControls.Label
        Protected WithEvents Label7 As System.Web.UI.WebControls.Label
        Protected WithEvents txtLast_add As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtEmail_add As System.Web.UI.WebControls.TextBox
        Protected WithEvents HyperLink1 As System.Web.UI.WebControls.HyperLink
        Protected WithEvents txtUsername_add As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtPassword_add As System.Web.UI.WebControls.TextBox
        Protected WithEvents TextBox1 As System.Web.UI.WebControls.TextBox
        Protected WithEvents txtConfirmPassword_add As System.Web.UI.WebControls.TextBox
        Protected WithEvents HyperLink2 As System.Web.UI.WebControls.HyperLink
        Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
        Protected WithEvents pnlLogin As System.Web.UI.WebControls.Panel
        Protected WithEvents lblUsername As System.Web.UI.WebControls.Label
        Protected WithEvents txtUsername As System.Web.UI.WebControls.TextBox
        Protected WithEvents Label2 As System.Web.UI.WebControls.Label
        Protected WithEvents txtPassword As System.Web.UI.WebControls.TextBox
        Protected WithEvents cmdLogin As System.Web.UI.WebControls.Button
        Protected WithEvents txtReturnURL As System.Web.UI.WebControls.TextBox

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            If Not IsPostBack Then
                If Request.QueryString("ReturnURL") <> "" Then
                    txtReturnURL.Text = Request.QueryString("ReturnURL")
                End If
                If Request.QueryString("method") = "logout" Then
                    'log the user out
                    FormsAuthentication.SignOut()
                    If Not Request.Cookies("userinfo") Is Nothing Then
                        Request.Cookies("userinfo").Value = ""
                    End If
                    context.User = Nothing
                End If
                If Request.QueryString("message") <> "" Then
                    lblMessage.Text = Request.QueryString("message")
                End If

            End If
        End Sub

        Private Sub cmdLogin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdLogin.Click
            Try
                Dim user As New MZUser
                Dim uid As Integer

                Dim userinformation As String

                Dim g As New Global
                Dim cookieName As String = g.cookieName

                uid = user.Login(txtUsername.Text, txtPassword.Text)

                If uid > 0 Then
                    ' Use security system to set the UserID witin a client-side Cookie
                    FormsAuthentication.SetAuthCookie(txtUsername.Text, False)

                    ' Retrieve the user's role and ID information and add it to
                    ' the cookie
                    user = New MZUser(uid)

                    ' Create a string to persist the role and user id
                    userinformation = user.Id & ";" & user.RoleName & ";" & user.Name & ";" & user.Username

                    ' Create a cookie authentication ticket.
                    ' version
                    ' user id
                    ' issue time
                    ' expires every hour
                    ' don't persist cookie
                    Dim ticket As New FormsAuthenticationTicket(1, user.Id, DateTime.Now, DateTime.Now.AddHours(1), False, userinformation)

                    ' Encrypt the ticket
                    Dim cookieStr As [String] = FormsAuthentication.Encrypt(ticket)

                    ' Send the cookie to the client
                    Response.Cookies(cookieName).Value = cookieStr
                    Response.Cookies(cookieName).Path = "/"
                    Response.Cookies(cookieName).Path = "/"
                    Response.Cookies(cookieName).Expires = DateTime.Now.AddHours(1)

                    ' Redirect browser back to originating page
                    If txtReturnURL.Text <> "" Then
                        Response.Redirect(txtReturnURL.Text)
                    Else
                        Response.Redirect(Request.ApplicationPath)
                    End If
                Else
                    lblMessage.Text = "Invalid user id and password"
                End If
            Catch ex As Exception
                lblMessage.Text = ex.Message
            End Try


        End Sub

    End Class

End Namespace
